﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication212
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        bool colsHidden = false;
        private void ultraButton1_Click(object sender, EventArgs e)
        {
            if (colsHidden)
            {
                foreach (UltraGridColumn col in ultraGrid1.DisplayLayout.Bands[0].Columns)
                {
                    col.Hidden = false;
                    colsHidden = false;
                }
            }
            else
            {
                foreach (UltraGridColumn col in ultraGrid1.DisplayLayout.Bands[0].Columns)
                {
                    col.Hidden = true;
                    colsHidden = true;
                }
            }
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            if (!ultraGridColumnChooser1.Visible)
                ultraGrid1.ShowColumnChooser();
            else ultraGridColumnChooser1.Hide();
        }

        private void ultraGrid1_BeforeColumnChooserDisplayed(object sender, BeforeColumnChooserDisplayedEventArgs e)
        {
            e.Cancel = true;            
            ultraGridColumnChooser1.Show();
        }

        private void ultraGridColumnChooser1_VisibleChanged(object sender, EventArgs e)
        {
            if (ultraGridColumnChooser1.Visible)
            {
                ultraButton1.BringToFront();
                ultraButton1.Show();
            }
            else ultraButton1.Hide();
        }
    }
}
